CVE-2002-2192
CVSS4.3
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:34
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in Perception LiteServe 2.0.1 allows remote attackers to execute arbitrary web script via (1) a Host: header when DNS wildcards are supported or (2) the query string in a "dir" request to indexed folders.


[CNNVD]Perception LiteServe DNS Wildcard跨站脚本漏洞(CNNVD-200212-613)

        Perception LiteServe 2.0.1版本存在跨站脚本(XSS)漏洞。远程攻击者可以借助(1)DNS wildcards支持的Host:头或(2)indexed文件夹的"dir"请求的查询字符串执行任意web脚本。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2192
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2192
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-613
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6143
(PATCH)  BID  6143
http://www.securityfocus.com/bid/6131
(PATCH)  BID  6131
http://www.iss.net/security_center/static/10561.php
(UNKNOWN)  XF  liteserve-directory-index-xss(10561)
http://online.securityfocus.com/archive/1/298987
(VENDOR_ADVISORY)  BUGTRAQ  20021108 LiteServe Directory Index Cross-Site Scripting
http://archives.neohapsis.com/archives/vulnwatch/2002-q4/0063.html
(UNKNOWN)  VULNWATCH  20021107 LiteServe Directory Index Cross-Site Scripting

- 漏洞信息

Perception LiteServe DNS Wildcard跨站脚本漏洞
中危 跨站脚本
2002-12-31 00:00:00 2006-03-17 00:00:00
远程  
        Perception LiteServe 2.0.1版本存在跨站脚本(XSS)漏洞。远程攻击者可以借助(1)DNS wildcards支持的Host:头或(2)indexed文件夹的"dir"请求的查询字符串执行任意web脚本。

- 公告与补丁

        Perception has released a new version of the software addressing this issue. Users are advised to upgrade as soon as possible.
        Perception LiteServe 2.0.1
        

- 漏洞信息 (21997)

Perception LiteServe 2.0.1 DNS Wildcard Cross Site Scripting Vulnerability (EDBID:21997)
windows remote
2002-11-08 Verified
0 Matthew Murphy
N/A [点击下载]
source: http://www.securityfocus.com/bid/6131/info

A cross site scripting vulnerability has been discovered in Perception LiteServe. It should be noted that this vulnerability is limited to server configurations with Wildcard DNS enabled.

It has been reported that LiteServe fails to sanitize requested hostnames when Wildcard DNS is used. This issue may allow an attacker to create a malicious link containing encoded HTML and script code in the requested hostname.

When the malicious link is clicked by an unsuspecting user, the attacker-supplied HTML and script code will be executed by their web client.

Attacks of this nature may make it possible for attackers to manipulate web content or to steal cookie-based authentication credentials. It may be possible to take arbitrary actions as the victim user.

This issue was reported in LiteServe v2.01. It is not yet known whether earlier versions are affected by this issue. 


http://%3CIMG%20SRC%3D%22%22%20ONERROR%3D%22alert%28location%2Ehref%29%22%3E.liteserve.net/dir 		

- 漏洞信息 (21999)

Perception LiteServe 2.0.1 Directory Query String Cross Site Scripting Vulnerability (EDBID:21999)
windows remote
2002-11-08 Verified
0 Matthew Murphy
N/A [点击下载]
source: http://www.securityfocus.com/bid/6143/info

A cross site scripting vulnerability has been discovered in Perception LiteServe.

It has been reported that LiteServe fails to sanitize query strings from indexed folders. It is possible for an attacker to exploit this issue by constructing a malicious link, containing encoded HTML and script code.

When the malicious link is clicked by an unsuspecting user, the attacker-supplied HTML and script code will be executed by their web client.

Attacks of this nature may make it possible for attackers to manipulate web content or to steal cookie-based authentication credentials. It may be possible to take arbitrary actions as the victim user. 

http://liteserve.net/dir?%3CIMG%20SRC%3D%22%22%20ONERROR%3D%22alert%28location%2Ehref%29%22%3E

http://liteserve.net/dir?%3C%2FTITLE%3E%3CIMG%20SRC%3D%22%22%20ONERROR%3D%22alert%28location%2Ehref%29%22%3E 		

- 漏洞信息

59185
Perception LiteServe Host: Header DNS Wildcard XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Perception LiteServe contains a flaw that allows a remote cross site scripting (XSS) attack. This flaw exists because the application does not validate encoded hostnames and query string parameters upon submission to the dir script. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2002-11-07 2002-11-07
2002-11-07 Unknow

- 解决方案

Upgrade to version 2.02 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站